VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Star"
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6060
   LinkTopic       =   "Form1"
   ScaleHeight     =   3555
   ScaleWidth      =   6060
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picStar 
      AutoSize        =   -1  'True
      Height          =   3555
      Left            =   0
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   3495
      ScaleWidth      =   6000
      TabIndex        =   0
      Top             =   0
      Width           =   6060
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type POINTAPI
    X As Long
    Y As Long
End Type
Private Declare Function Polygon Lib "gdi32" (ByVal hdc As Long, lpPoint As POINTAPI, ByVal nCount As Long) As Long
Private Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Boolean) As Long
Private Declare Function CreatePolygonRgn Lib "gdi32" (lpPoint As POINTAPI, ByVal nCount As Long, ByVal nPolyFillMode As Long) As Long
Private Const WINDING = 2

Private Sub Form_Load()
Const PI = 3.14159265
Const NUM_POINTS = 8
Const NUM_PTS = 2 * NUM_POINTS
Const TXT = "Star "

Dim pts(1 To NUM_PTS) As POINTAPI
Dim i As Integer
Dim cx As Single
Dim cy As Single
Dim theta As Single
Dim dtheta As Single
Dim rx1 As Single
Dim rx2 As Single
Dim ry1 As Single
Dim ry2 As Single
Dim hRgn As Long
Dim clr As Single
Dim dclr As Single
Dim offset As Single

    ' API functions work in pixels.
    picStar.ScaleMode = vbPixels
    picStar.AutoRedraw = True
    picStar.BorderStyle = vbBSNone

    ' Set the points' coordinates.
    cx = picStar.ScaleWidth / 2
    cy = picStar.ScaleHeight / 2
    rx1 = picStar.ScaleWidth * 0.49
    rx2 = picStar.ScaleWidth * 0.25
    ry1 = picStar.ScaleHeight * 0.49
    ry2 = picStar.ScaleHeight * 0.25
    dtheta = 2 * PI / NUM_PTS
    theta = 0
    i = 1
    Do While i < NUM_PTS
        pts(i).X = cx + rx1 * Cos(theta)
        pts(i).Y = cy + ry1 * Sin(theta)
        theta = theta + dtheta
        i = i + 1

        pts(i).X = cx + rx2 * Cos(theta)
        pts(i).Y = cy + ry2 * Sin(theta)
        theta = theta + dtheta
        i = i + 1
    Loop

    ' Confine the PictureBox to this polygon.
    hRgn = CreatePolygonRgn(pts(1), NUM_PTS, WINDING)
    SetWindowRgn picStar.hWnd, hRgn, True
End Sub
